apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmoa-kube-info-flat
  namespace: {{ .Values.global.IMXC_NAMESPACE }}
  labels:
    app: cmoa-kube-info-flat
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cmoa-kube-info-flat
  template:
    metadata:
      labels:
        app: cmoa-kube-info-flat
    spec:
      containers:
        - name: cmoa-kube-info-flat
          image: {{ .Values.global.IMXC_IN_REGISTRY }}/kube-info-flat:{{ .Values.global.KUBE_INFO_FLAT_VERSION }}
          imagePullPolicy: Always
          env:
            - name: KAFKA_SERVER
              value: kafka:9092
            - name: KAFKA_INPUT_TOPIC
              value: {{ .Values.global.KAFKA_INPUT_TOPIC }}
            - name: TABLE_PREFIX
              value: {{ .Values.global.TABLE_PREFIX }}
            - name: BLACK_LIST
              value: {{ .Values.global.BLACK_LIST }}
          resources:
            limits:
              memory: 1Gi
            requests:
              memory: 200Mi              
